Dependency inventory
GET
workspaceTokenheader
AuthorizationBearer <vat_<opaque-token>>Expiring, hashed workspace token with explicit scopes.
workspace_id*Workspace IdFormat
uuidq?|nulladvisory?|nullrepository_id?|nullaudit_id?|nullbranch_ref?|nullhistory?HistoryDefault
falsecursor?string|nulllimit?LimitRange
1 <= value <= 100Default
50Successful Response
application/json- response
has_more?Has MoreDefault
falsehistorical*Historicalitems*array<>limitations?array<string>next_cursor?string|nullcurl -X GET 'https://api.veriom.ai/v1/workspaces/497f6eca-6276-4993-bfeb-53cbbbba6f08/dependencies'Example Response
{ "has_more": false, "historical": true, "items": [ { "advisories": [ { "advisory_id": "string", "artifact_sha256": "string", "match_basis": "string", "scanner_run_id": "ce0a6d22-d820-48c5-9063-ac46db25a515", "source_tool": "string" } ], "artifact_sha256": "string", "audit_id": "78c04fa6-cfb4-46a0-9aa5-3681ba4f3897", "branch_ref": "string", "commit_sha": "string", "component_ref": "string", "dependencies": [ "string" ], "deployments": [ { "deployment": { "audit_id": "78c04fa6-cfb4-46a0-9aa5-3681ba4f3897", "branch_ref": "string", "commit_sha": "string", "confidence_basis": "string", "configuration_sha256": "string", "content_sha256": "string", "environment": "string", "evidence_ids": [ "string" ], "evidence_snapshot": [ {} ], "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "image_digest": "string", "observed_at": "2019-08-24T14:15:22Z", "received_at": "2019-08-24T14:15:22Z", "repository_id": "b349ae61-b973-4c6c-a5e0-89183ba99ff3", "resource_keys": [ "string" ], "service_id": "641e839f-864e-4cce-98f9-40f6cbb3e9e0", "source_event_id": "string", "source_kind": "string", "source_ref": "string", "stale": false }, "owner_id": "8826ee2e-7933-4665-aef2-2393f84a0d05", "package_relationship": "evidenced", "runtime_reachability": "unknown", "service_id": "641e839f-864e-4cce-98f9-40f6cbb3e9e0", "service_name": "string" } ], "direct": true, "ecosystem": "string", "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "limitations": [ "string" ], "name": "string", "observed_at": "2019-08-24T14:15:22Z", "purl": "string", "repository_id": "b349ae61-b973-4c6c-a5e0-89183ba99ff3", "scanner_run_id": "ce0a6d22-d820-48c5-9063-ac46db25a515", "scope": "string", "source_scope": {}, "version": "string" } ], "limitations": [ "string" ], "next_cursor": "string"}